Name:           eclipse-swtbot
Version:        2.5.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        UI and functional testing tool for SWT and Eclipse based applications

License:        EPL
URL:            http://www.eclipse.org/swtbot/
Source0:        http://git.eclipse.org/c/swtbot/org.eclipse.swtbot.git/snapshot/org.eclipse.swtbot-%{version}.tar.xz
BuildRequires:  tycho
BuildRequires:  tycho-extras
BuildRequires:  eclipse-gef
BuildRequires:  eclipse-pde
BuildRequires:  cbi-plugins
BuildRequires:  eclipse-license
BuildRequires:  tycho
BuildRequires:  log4j12 liblog4j12-java
BuildRequires:  hamcrest
BuildArch:      noarch

%description
SWTBot is a Java based UI/functional testing tool for testing SWT and Eclipse
based applications. SWTBot provides APIs that are simple to read and write.
The APIs also hide the complexities involved with SWT and Eclipse. This makes
it suitable for UI/functional testing by everyone, not just developers.

%prep
%setup -q -n org.eclipse.swtbot-%{version}

for j in $(find -name \*.jar); do
if [ ! -L $j ] ; then
rm -fr $j
fi
done
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId ='target-platform-configuration']"
%pom_remove_plugin org.jacoco:jacoco-maven-plugin
%pom_remove_plugin org.eclipse.tycho:tycho-packaging-plugin
%pom_disable_module org.eclipse.swtbot.updatesite
%pom_disable_module org.eclipse.swtbot.nebula.gallery
%pom_disable_module org.eclipse.swtbot.nebula.gallery.finder
%pom_disable_module org.eclipse.swtbot.nebula.gallery.finder.test
%pom_disable_module org.eclipse.swtbot.nebula.nattable
%pom_disable_module org.eclipse.swtbot.nebula.nattable.finder
%pom_disable_module org.eclipse.swtbot.nebula.nattable.finder.test

%mvn_package "::pom::" __noinstall
%mvn_package ":*.test" __noinstall
%mvn_package ":*.test.*" __noinstall
%mvn_package ":*.{examples,demo}" __noinstall
%mvn_package "::jar:sources:"


%build
%mvn_build -j -f

%install
%mvn_install

# Remove uneeded extra symlinks
# (these are optional deps of log4j, which we don't need at runtime)
# Needed until fp-p2 can grow the features to make this possible in a better way
sed -i -e '/\(geronimo\|mail\)/d' .mfiles
rm -f %{buildroot}/%{_datadir}/eclipse/droplets/swtbot/eclipse/plugins/*{mail,geronimo}*

%files -f .mfiles



%changelog
* Thu Oct 06 2016 daviddavid <daviddavid> 2.5.0-2.mga6
+ Revision: 1059188
- Remove uneeded symlinks to optional deps of log4j

* Tue Oct 04 2016 daviddavid <daviddavid> 2.5.0-1.mga6
+ Revision: 1058562
- Update to upstream 2.5.0 release
- Drop unnecessary BR on jacoco

* Wed May 04 2016 daviddavid <daviddavid> 2.4.0-2.mga6
+ Revision: 1009399
- Don't ship demo project as it requires examples that are not shipped

* Sun May 01 2016 daviddavid <daviddavid> 2.4.0-1.mga6
+ Revision: 1008408
- Update to upstream 2.4.0

* Wed Mar 02 2016 neoclust <neoclust> 2.3.0-5.mga6
+ Revision: 981787
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.3.0-4.mga6
+ Revision: 975780
- First rebuild of the java stack
- sync package eclipse-swtbot with fedora

  + dmorgan <dmorgan>
    - imported package eclipse-swtbot


* Mon Aug 6 2012 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-2.20120802git
- Fix review comments.

* Thu Aug 2 2012 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-1.gita95f41b7ae6d7790dab36bca982d4b833fd2662d
- Initial package
